
package com.tmerclub.cloud.api.user.vo;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 */
public class MemberCountVO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 累积会员数
     */
    private Integer totalMember;

    /**
     * 新增会员数
     */
    private Integer newMember;

    /**
     * 付费会员数
     */
    private Integer paidMember;

    /**
     * 新增付费会员数
     * 从普通会员升到付费会员
     */
    private Integer newPaidMember;

    public Integer getTotalMember() {
        return totalMember;
    }

    public void setTotalMember(Integer totalMember) {
        this.totalMember = totalMember;
    }

    public Integer getNewMember() {
        return newMember;
    }

    public void setNewMember(Integer newMember) {
        this.newMember = newMember;
    }

    public Integer getPaidMember() {
        return paidMember;
    }

    public void setPaidMember(Integer paidMember) {
        this.paidMember = paidMember;
    }

    public Integer getNewPaidMember() {
        return newPaidMember;
    }

    public void setNewPaidMember(Integer newPaidMember) {
        this.newPaidMember = newPaidMember;
    }

    @Override
    public String toString() {
        return "MemberCountVO{" +
                "totalMember=" + totalMember +
                ", newMember=" + newMember +
                ", paidMember=" + paidMember +
                ", newPaidMember=" + newPaidMember +
                '}';
    }
}
